function ind = binsearch(array, key)
% ind = binsearch(array, key)
%   Perform binary search on a sorted array, returning the indicies of
%   all entries of 'array' that equal 'key'.

% Author: David Ross, Oct. 2006
% $Id$

error(nargchk(2,2,nargin));

ind = [];

if isempty(array) || isempty(key)
    return;
end

x = binsearch_helper(array, key);

if x(1) > 0
    ind = x(1):x(2);
end
